using System;
using System.Collections.Generic;
using System.Text;

namespace de.WWWings
{
 /// <summary>
 /// FlugBLManager ist der Geschäftslogikmanager für die Flug-Klasse.
 /// Implementierungsalternative 2: ohne ORM-Mapping
 /// </summary>
 public class FlugBLManager_DataSet
 {
  /// <summary>
  /// Weiterleiten eines DataSet
  /// </summary>
  /// <returns></returns>
  public static System.Data.DataSet AlleFluege_DS()
  {
   return DAL.Flug_DataManager.AlleFluege_DS();
  }

  /// <summary>
  /// Weiterleiten eines DataSet
  /// </summary>
  /// <returns></returns>
  public static System.Data.DataSet AlleFluege_DS(long von, long bis)
  {
   return DAL.Flug_DataManager.AlleFluege_DS(von, bis);
  }

  /// <summary>
  /// Weiterleiten eines DataSet mit Bedingung
  /// </summary>
  /// <param name="Abflugort"></param>
  /// <returns></returns>
  public static System.Data.DataSet AlleFluege_DS(string Abflugort)
  {
   return DAL.Flug_DataManager.AlleFluege_DS(Abflugort);
  }

  /// <summary>
  /// Aktualisieren mit DataSet
  /// </summary>
  /// <param name="ds"></param>
  public static void Update_DS(System.Data.DataSet ds)
  {
   DAL.Flug_DataManager.Update(ds);
  }
 }
}
